

# ListServers


**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Returns a list of all the servers. 

## Request Syntax


```
POST /list-servers HTTP/1.1
Content-type: application/json

{
   "filterValue": "string",
   "groupIdFilter": [ 
      { 
         "name": "string",
         "value": "string"
      }
   ],
   "maxResults": number,
   "nextToken": "string",
   "serverCriteria": "string",
   "sort": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [filterValue](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-filterValue"></a>
 Specifies the filter value, which is based on the type of server criteria. For example, if `serverCriteria` is `OS_NAME`, and the `filterValue` is equal to `WindowsServer`, then `ListServers` returns all of the servers matching the OS name `WindowsServer`.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*`   
Required: No

 ** [groupIdFilter](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-groupIdFilter"></a>
 Specifies the group ID to filter on.   
Type: Array of [Group](API_Group.md) objects  
Required: No

 ** [maxResults](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-maxResults"></a>
 The maximum number of items to include in the response. The maximum value is 100.   
Type: Integer  
Required: No

 ** [nextToken](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-nextToken"></a>
 The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*`   
Required: No

 ** [serverCriteria](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-serverCriteria"></a>
 Criteria for filtering servers.   
Type: String  
Valid Values: `NOT_DEFINED | OS_NAME | STRATEGY | DESTINATION | SERVER_ID | ANALYSIS_STATUS | ERROR_CATEGORY`   
Required: No

 ** [sort](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-sort"></a>
 Specifies whether to sort by ascending (`ASC`) or descending (`DESC`) order.   
Type: String  
Valid Values: `ASC | DESC`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "serverInfos": [ 
      { 
         "antipatternReportS3Object": { 
            "s3Bucket": "string",
            "s3key": "string"
         },
         "antipatternReportStatus": "string",
         "antipatternReportStatusMessage": "string",
         "applicationComponentStrategySummary": [ 
            { 
               "count": number,
               "strategy": "string"
            }
         ],
         "dataCollectionStatus": "string",
         "id": "string",
         "lastAnalyzedTimestamp": number,
         "listAntipatternSeveritySummary": [ 
            { 
               "count": number,
               "severity": "string"
            }
         ],
         "name": "string",
         "recommendationSet": { 
            "strategy": "string",
            "targetDestination": "string",
            "transformationTool": { 
               "description": "string",
               "name": "string",
               "tranformationToolInstallationLink": "string"
            }
         },
         "serverError": { 
            "serverErrorCategory": "string"
         },
         "serverType": "string",
         "statusMessage": "string",
         "systemInfo": { 
            "cpuArchitecture": "string",
            "fileSystemType": "string",
            "networkInfoList": [ 
               { 
                  "interfaceName": "string",
                  "ipAddress": "string",
                  "macAddress": "string",
                  "netMask": "string"
               }
            ],
            "osInfo": { 
               "type": "string",
               "version": "string"
            }
         }
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListServers_ResponseSyntax) **   <a name="migrationhubstrategy-ListServers-response-nextToken"></a>
 The token you use to retrieve the next set of results, or null if there are no more results.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

 ** [serverInfos](#API_ListServers_ResponseSyntax) **   <a name="migrationhubstrategy-ListServers-response-serverInfos"></a>
 The list of servers with detailed information about each server.   
Type: Array of [ServerDetail](API_ServerDetail.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/ListServers) 